Bug 246189 - After returning from a user-switch, screensaver lock can have small delay
After returning from a user-switch, screensaver lock can have small delay
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 23:17 EDT by n0dalus
Modified: 2015-01-14 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description n0dalus 2007-06-28 23:17:38 EDT
Description of problem:
After switching users with FUSA, and then quitting the new user session, the
previous session is returned to. FUSA (by default) tells gnome-screensaver to
lock the screen after it sets up the user switch. Unfortunately, when returning
back to the first session, it can take half a second or so before the black
screen (lock) is rendered. This means it is sometimes possible to see a user's
private data.

FUSA executes `gnome-screensaver-command --lock` just after telling gdm to start
a new gdm for switching, so the screensaver should already be locked.

This could either be:
* gnome-screensaver has already "locked" the screen but there is a small delay
to render the black screen.
* gnome-screensaver gets the signal to lock via gnome-screensaver-command, but
doesn't actually initiate the locking process until its display is active.

If the delay is inevitable and can't be fixed in gnome-screensaver, it can
possibly be fixed in FUSA by blanking the screen before the display is switched.
That way, when the display is switched back, it should already be blank (may be
related to bug #246188).

Version-Release number of selected component (if applicable):
gnome-screensaver-2.19.1.1-1.fc8
fast-user-switch-applet-2.18.0-1.fc8
Comment 1 Bug Zapper 2008-05-13 23:00:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 lexual 2009-02-25 06:53:33 EST
Possible dupe of bug 235485 ?
Comment 3 Bug Zapper 2009-06-09 18:40:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:29:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.